Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Class ResponseTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.RoutingException
                          org.mule.api.routing.ResponseTimeoutException

All Implemented Interfaces:
  Serializable

    public class ResponseTimeoutException

extends RoutingException

`ResponseTimeoutException` is thrown when a response is not received in a given timeout in the Response Router.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.routing.RoutingException
`route`

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`ResponseTimeoutException(Message message, MuleEvent event, MessageProcessor target)`
`ResponseTimeoutException(Message message, MuleEvent event, MessageProcessor target, Throwable cause)`
`ResponseTimeoutException(Message message, MuleMessage muleMessage, MessageProcessor target)` Deprecated. use ResponseTimeoutException(Message, MuleEvent, RoutingTarget)
`ResponseTimeoutException(Message message, MuleMessage muleMessage, MessageProcessor target, Throwable cause)` Deprecated. use ResponseTimeoutException(Message, MuleEvent, RoutingTarget, Throwable)

Method Summary

Methods inherited from class org.mule.api.routing.RoutingException
`getRoute`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponseTimeoutException

    @Deprecated
    public ResponseTimeoutException(Message message,
                                               MuleMessage muleMessage,
                                               MessageProcessor target)

  Deprecated. use ResponseTimeoutException(Message, MuleEvent, RoutingTarget)

### ResponseTimeoutException

    public ResponseTimeoutException(Message message,
                                    MuleEvent event,
                                    MessageProcessor target)

### ResponseTimeoutException

    @Deprecated
    public ResponseTimeoutException(Message message,
                                               MuleMessage muleMessage,
                                               MessageProcessor target,
                                               Throwable cause)

  Deprecated. use ResponseTimeoutException(Message, MuleEvent, RoutingTarget, Throwable)

### ResponseTimeoutException

    public ResponseTimeoutException(Message message,
                                    MuleEvent event,
                                    MessageProcessor target,
                                    Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.